import { computed, ref } from 'vue'
import { useI18n } from 'vue-i18n'
import { TEMPLATE_SCOPE } from '@/stores/template'
import type { TemplateScope } from '#/template'

type TemplateScopeFilterValue = 0 | TemplateScope
interface TemplateScopeFilters {
  label: string;
  value: TemplateScopeFilterValue;
}

export function useScopeFilter() {
  const { t } = useI18n()

  const templateScopeFilters = computed<TemplateScopeFilters[]>(() => [
    { label: t('btn.all'), value: 0 },
    { label: t('template.scopes.base'), value: TEMPLATE_SCOPE.BASE },
    { label: t('template.scopes.global'), value: TEMPLATE_SCOPE.GLOBAL },
    { label: t('template.scopes.project'), value: TEMPLATE_SCOPE.PROJECT },
    { label: t('template.scopes.set'), value: TEMPLATE_SCOPE.SET },
  ])
  const templateFilter = ref<TemplateScopeFilterValue>(0)

  return {
    templateScopeFilters,
    templateFilter,
  }

}
