import type { RouteLocationNamedRaw } from 'vue-router'

export interface LayoutStoreState {
  extraLinks: ExtraLinks
  toolbarInset: boolean
  navDrawer: boolean
}

export interface Link {
  name: string
  label?: string
  icon?: string
  isDisplayed?: boolean
}

export interface InternalLink extends Link {
  to: RouteLocationNamedRaw
}

export interface ExternalLink extends Link {
  href: string
}

export type Links = (ExternalLink | InternalLink)[]

export interface ExtraLinks {
  title?: string
  links?: InternalLink[]
}
